#include <iostream>
using namespace std;

int main()
{
    int x, y, t, n;
    cin>>n;
    for(int i = 0; i < n; i++){
        cin>>y>>t>>x;
        if(x * (x / y) * (x / y + 1) / 2 + (y % x) * (y / x + 1) <= t){
            cout<<"Tak";
        }else{
            cout<<"Nie";
        }
    }
    return 0;
}